Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STEnvironmentDescription class documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STEnvironmentDescription class

## STEnvironmentDescription : NSObject

> Declared in:
>   StepTalk/STEnvironmentDescription.h

Description forthcoming.

Instance Variables

### Method summary

- +defaultDescriptionName
- +descriptionFromDictionary:
- +descriptionWithName:
- -classes
- -frameworks
- -initFromDictionary:
- -initWithName:
- -modules
- -objectFinders
- -updateClassWithName:description:
- -updateFromDictionary:

### defaultDescriptionName

+ (NSString*) defaultDescriptionName;
Description forthcoming.

### descriptionFromDictionary:

+ (id) descriptionFromDictionary: (NSDictionary*)dictionary;
Description forthcoming.

### descriptionWithName:

+ (id) descriptionWithName: (NSString*)descriptionName;
Description forthcoming.

### classes

- (NSMutableDictionary*) classes;
Description forthcoming.

### frameworks

- (NSArray*) frameworks;
Description forthcoming.

### initFromDictionary:

- (id) initFromDictionary: (NSDictionary*)def;
Description forthcoming.

### initWithName:

- (id) initWithName: (NSString*)defName;
Description forthcoming.

### modules

- (NSArray*) modules;
Description forthcoming.

### objectFinders

- (NSArray*) objectFinders;
Description forthcoming.

### updateClassWithName: description:

- (void) updateClassWithName: (NSString*)className description: (NSDictionary*)def;
Description forthcoming.

### updateFromDictionary:

- (void) updateFromDictionary: (NSDictionary*)def;
Description forthcoming.

## Instance Variables for STEnvironmentDescription Class

### aliases

@protected NSMutableDictionary* aliases;
Description forthcoming.

### behaviours

@protected NSMutableDictionary* behaviours;
Description forthcoming.

### classes

@protected NSMutableDictionary* classes;
Description forthcoming.

### finders

@protected NSMutableArray* finders;
Description forthcoming.

### frameworks

@protected NSMutableArray* frameworks;
Description forthcoming.

### modules

@protected NSMutableArray* modules;
Description forthcoming.

### restriction

@protected NSInteger restriction;
Description forthcoming.

### usedDefs

@protected NSMutableArray* usedDefs;
Description forthcoming.

Up